## ontology ontology |

## Functions

const gchar * | zeitgeist_symbol_get_display_name ()
const gchar * | zeitgeist_symbol_get_description ()
GList * | zeitgeist_symbol_get_all_parents ()
GList * | zeitgeist_symbol_get_all_children ()
GList * | zeitgeist_symbol_get_children ()
GList * | zeitgeist_symbol_get_parents ()
gboolean | zeitgeist_symbol_is_a ()

## Description

## Functions

### zeitgeist_symbol_get_display_name ()

    const gchar *
    zeitgeist_symbol_get_display_name (const gchar *symbol_uri);

#### Parameters

self | the (null) instance |
symbol_uri |  |

#### Returns

.

[transfer none]

### zeitgeist_symbol_get_description ()

    const gchar *
    zeitgeist_symbol_get_description (const gchar *symbol_uri);

#### Parameters

self | the (null) instance |
symbol_uri |  |

#### Returns

.

[transfer none]

### zeitgeist_symbol_get_all_parents ()

    GList *
    zeitgeist_symbol_get_all_parents (const gchar *symbol_uri);

#### Parameters

self | the (null) instance |
symbol_uri |  |

### zeitgeist_symbol_get_all_children ()

    GList *
    zeitgeist_symbol_get_all_children (const gchar *symbol_uri);

#### Parameters

self | the (null) instance |
symbol_uri |  |

### zeitgeist_symbol_get_children ()

    GList *
    zeitgeist_symbol_get_children (const gchar *symbol_uri);

#### Parameters

self | the (null) instance |
symbol_uri |  |

### zeitgeist_symbol_get_parents ()

    GList *
    zeitgeist_symbol_get_parents (const gchar *symbol_uri);

#### Parameters

self | the (null) instance |
symbol_uri |  |

### zeitgeist_symbol_is_a ()

    gboolean
    zeitgeist_symbol_is_a (const gchar *symbol_uri,
                           const gchar *parent_uri);

#### Parameters

self | the (null) instance |
symbol_uri |  |
parent_uri |  |

## Types and Values